Bug 126816 - snd-atiixp autoloads, but doesn't work
Summary: snd-atiixp autoloads, but doesn't work
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-27 19:19 UTC by John Brookes
Modified: 2015-01-04 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:01:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Brookes 2004-06-27 19:19:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
snd-atiixp appears to be modprobed correctly, but alsamixer and
soundcard autodetect claim there is no device.

sound worked correctly in 1.3xx kernels

the following line is seen in dmesg output:

ATI IXP AC97 controller: probe of 0000:00:14.5 failed with error -13



Version-Release number of selected component (if applicable):
kernel-2.6.6-1.4xx

How reproducible:
Always

Steps to Reproduce:
1. boot into 2.6.6-1.435
2. run alsasound and/or autodetect soundcard in X

    

Actual Results:  alsamixer: function snd_ctl_open failed for default:
No such device

autodetect brings up the "did you hear the test sound" dialog
_immediately_. no sound produced

Expected Results:  alsamixer to come up / guitar strumming.

Additional info:

Comment 1 Jared Wahlstrand 2004-08-04 02:26:01 UTC
Still broken as of kernel-2.6.7-1.494.2.2

Comment 2 Dennis Bruno 2004-08-31 00:32:45 UTC
also still broken as of kernel-2.6.8-1.521 (smp kernel anyway)

Comment 3 Jared Wahlstrand 2004-09-13 21:49:48 UTC
I'm using kernel-2.6.8-1.533 from
http://people.redhat.com/arjanv/2.6/RPMS.kernel/ (from a couple of
weeks ago) and it works for me now.  I think it was the update to
alsa-1.0.6 that did it.

Comment 4 Dennis Bruno 2004-11-18 02:38:46 UTC
seems to be fixed in kernel 2.6.9-1.3_FC2 (smp - didn't try UP kernel)

Comment 5 Jörg BUCHMANN 2004-12-09 09:51:05 UTC
Reappears with Fedora 3 with the difference that the card is detected
but if you want to start the mixer it says that there is no mixer.
What to do ?

Comment 6 Dave Jones 2004-12-09 17:32:39 UTC
do you have a /dev/mixer ?

Comment 7 Dave Jones 2005-07-15 17:29:34 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 8 Dave Jones 2005-10-03 00:01:01 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.